Configure a custom sending address
POST
/tenants/{id}/custom-sending-address
const url = 'https://api.muninx.com/tenants/example/custom-sending-address';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"address":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.muninx.com/tenants/example/custom-sending-address \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "address": "example" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Tenant organization ID or ‘this’
Request Body required
Section titled “Request Body required ”Custom sending address
Media type application/json
object
address
string
Example generated
{ "address": "example"}Responses
Section titled “ Responses ”Created
Media type application/json
object
active
boolean
address
string
dns-records
Array<object>
object
name
string
type
string
value
string
domain
string
state
string
status
string
Example
{ "state": "provisioning"}